SDL_AsyncIOTaskType(3type)

NAME
SDL_AsyncIOTaskType - Types of asynchronous I/O tasks.

SYNOPSIS
#include <SDL3/SDL_asyncio.h>

typedef enum SDL_AsyncIOTaskType
{
    SDL_ASYNCIO_TASK_READ,   /**< A read operation. */
    SDL_ASYNCIO_TASK_WRITE,  /**< A write operation. */
    SDL_ASYNCIO_TASK_CLOSE   /**< A close operation. */
} SDL_AsyncIOTaskType;

AVAILABILITY
This enum is available since SDL 3.2.0.